Subject: [Ltru] Questions before submitting draft-4645bis-05

From: "Doug Ewell" <[email-masked]>
Date: Sun, 4 May 2008 14:42:36 -0600

1.  In light of the recent change to RFC 4646bis allowing deprecated 
subtags to be un-deprecated, and in light of the pending addition of 
exceptionally reserved ISO 3166-1 code elements as region subtags 
(except 'UK', which exactly duplicates 'GB'), does anyone think it would 
be desirable to un-deprecate the following subtag?

%%
Type: region
Subtag: FX
Description: Metropolitan France
Added: 2005-10-16
Preferred-Value: FR
Deprecated: 1997-07-14
%%

(I have no personal preference regarding this.)

2.  I've added a Comments field to the existing record for 'kha', as 
shown below, per Debbie's request and others' assent.  I am not planning 
to add any explanatory text about this to the prose.  Does anyone 
disagree with this?

%%
Type: language
Subtag: kha
Description: Khasi
Added: 2005-10-16
Comments: as of 2008-04-21 this subtag does not include Lynghgam; see
  lyg
%%

--
Doug Ewell  *  Arvada, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Sun, 4 May 2008 23:38:56 +0200

On Sun, May 04, 2008 at 02:42:36PM -0600,
 Doug Ewell <[email-masked]> wrote 
 a message of 8 lines which said:

> does anyone think it would be desirable to un-deprecate the
> following subtag?  %%Type: region Subtag: FX Description:
> Metropolitan France

No, keep it deprecated, until ISO 3166 changes its status.

Rationale: noone ever used it.
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sun, 4 May 2008 15:54:36 -0600

> No, keep it deprecated, until ISO 3166 changes its status.

Just to play devil's advocate, its status within ISO 3166 is the same as 
for the other exceptionally reserved code elements such as AC that we 
are making into (non-deprecated) region subtags.

> Rationale: noone ever used it.

Just to play devil's advocate, are we in a position to say this?

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 4 May 2008 16:09:58 -0600

Hi -

As a technical contributor...

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Sunday, May 04, 2008 2:42 PM
> Subject: [Ltru] Questions before submitting draft-4645bis-05
...
> Comments: as of 2008-04-21 this subtag does not include Lynghgam; see
...

Is it Lynghgam or Lyngngam?

Though I don't feel strongly about the comment as such, I do think Stephane's
rationale regarding FX applies here: from the history recounted on the ietf-languages
list, it sounds like no one is known to have ever actually *used* kha for Lyngngam when
tagging material.  If that is correct, the comment doesn't seem to have much point.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 4 May 2008 16:20:44 -0600

Hi -

As technical contributor...

> Sent: Sunday, May 04, 2008 3:54 PM
> Subject: Re: [Ltru] Questions before submitting draft-4645bis-05
>

If there's any question, then the discussion and subsequent decision
should be left to [email-masked] and the LSR.  We're supposed
to be focused on the process here, and the content of the "bulk update"
we hand off to IANA should not in general require item-by-item discussion.
If we are going to get bogged down in the details of any *specific* subtags,
I suggest we consider removing each such subtag from 4645-bis, and request
that their proponents submit them as individual requests to [email-masked].

Randy

---

From: "Debbie Garside" <[email-masked]>
Date: Mon, 5 May 2008 07:28:30 +0100

Randy wrote:

from
> the history recounted on the ietf-languages list, it sounds
> like no one is known to have ever actually *used* kha for
> Lyngngam when tagging material.  If that is correct, the
> comment doesn't seem to have much point.

http://www.language-archives.org/item/oai:sil.org:37468

I have heard one or two comments like this over the past few weeks and I
think it is a little silly to believe that members of IETF-LTRU could
possibly know what the language tagging community of the world has used or
not used.

Best regards

Debbie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 04 May 2008 23:10
> To: LTRU Working Group
> > shown below, per Debbie's request and others' assent.  I am not
> > planning to add any explanatory text about this to the prose.  Does
> > anyone disagree with this?
> >
> > %%
> > Type: language
> > Subtag: kha
> > Description: Khasi
> > Added: 2005-10-16
> Though I don't feel strongly about the comment as such, I do
> think Stephane's rationale regarding FX applies here: from
> the history recounted on the ietf-languages list, it sounds
> like no one is known to have ever actually *used* kha for
> Lyngngam when tagging material.  If that is correct, the
> comment doesn't seem to have much point.
>
> Randy
>

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 5 May 2008 09:15:38 +0200

On Sun, May 04, 2008 at 03:54:36PM -0600,
 Doug Ewell <[email-masked]> wrote 
 a message of 21 lines which said:

> > > %%Type: region Subtag: FX Description:
> > > Metropolitan France
> >
> for the other exceptionally reserved code elements such as AC 

It is easy to find an actual use for AC (the TLD ".ac", created by
Postel in violation of the rules of RFC 1591, but nevertheless
actually used). You won't find an actual use for FX.
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Elisabeth Porteneuve" <[email-masked]>
Date: Mon, 5 May 2008 11:51:29 +0200

I concur with the devil's advocate.

Those who asked ISO 3166/MA for FX (or AC or any other exceptionnaly 
reserved code) had their reasons, and we do not know to what extend this 
code had been used, or might be used.

Sorry Stephane.

Kind regards,
Elisabeth Porteneuve

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 5 May 2008 12:02:55 +0200

On Mon, May 05, 2008 at 11:51:29AM +0200,
 Elisabeth Porteneuve <[email-masked]> wrote 
 a message of 8 lines which said:

> reserved code) had their reasons,

You can turn the reasoning back: those who asked for an exceptionally
reserved code and not a regular code, had their reasons.

---

From: John Cowan <[email-masked]>
Date: Mon, 5 May 2008 10:07:24 -0400

> http://www.language-archives.org/item/oai:sil.org:37468

That's actually a SIL (aka ISO 639-3/RA) listing for the very article
that forms the basis of the claim that Lyngngam isn't a dialect of Khasi.
So I don't think it counts: the metadata is undermined by the content!

> possibly know what the language tagging community of the world has used or

Not us, but SIL itself.

-- 
There is no real going back.  Though I          John Cowan
may come to the Shire, it will not seem         [email-masked]
the same; for I shall not be the same.          http://www.ccil.org/~cowan
I am wounded with knife, sting, and tooth,
and a long burden.  Where shall I find rest?           --Frodo
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Mon, 5 May 2008 15:43:25 +0100

Hi John

I am hearing this exact same thing today with regard to FX!  My point is, we
cannot possibly be expected to know whether subtags have been used or not
used and therefore should not make decisions based on "there is no evidence
of usage".  According to who?  A few so called experts on IETF-LTRU?  It is
ludicrous and would make a mockery of BCP 47 IMHO.

Best

Debbie

> From: John Cowan [mailto:[email-masked]]
> Sent: 05 May 2008 15:07
> To: Debbie Garside
> Cc: 'Randy Presuhn'; 'LTRU Working Group'
> That's actually a SIL (aka ISO 639-3/RA) listing for the very
> article that forms the basis of the claim that Lyngngam isn't
> a dialect of Khasi.
> > I have heard one or two comments like this over the past
> few weeks and
> > I think it is a little silly to believe that members of IETF-LTRU
> > could possibly know what the language tagging community of
> the world
> > has used or not used.
>
> Not us, but SIL itself.
>
> --

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 5 May 2008 17:26:10 +0200

On Mon, May 05, 2008 at 03:43:25PM +0100,
 Debbie Garside <[email-masked]> wrote 
 a message of 56 lines which said:

> I am hearing this exact same thing today with regard to FX!  My
> point is, we cannot possibly be expected to know whether subtags
> have been used or not used

May be the Google or Yahoo people can give us statistics at least on
the use of language tags in public HTML pages? They probably have it
somewhere.

X % of HTML pages have a lang or xml:lang attribute
X % of the tags have only one subtag, the language
X % of the tags are well-formed
X % of the tags are valid
Complete list of language subtags seen in the wild
etc...
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Mon, 5 May 2008 17:36:06 +0100

Stephane wrote:

> May be the Google or Yahoo people can give us statistics at
> least on the use of language tags in public HTML pages? They
> probably have it somewhere.

I am sure this would be interesting but the thing is RFC 4646 is not just
used on the web. The last time I looked the TEI were using it and I think
quite a lot of archiving systems will be using it.

Best regards

Debbie

> From: Stephane Bortzmeyer [mailto:[email-masked]]
> Sent: 05 May 2008 16:26
> To: Debbie Garside
> Cc: 'John Cowan'; 'LTRU Working Group'
> Subject: Knowing about the use of language tags (Was:
> Questions before submitting draft-4645bis-05
>
> On Mon, May 05, 2008 at 03:43:25PM +0100,  Debbie Garside
> <[email-masked]> wrote  a message of 56 lines which said:
>
> > I am hearing this exact same thing today with regard to FX!
>  My point
> > is, we cannot possibly be expected to know whether subtags
> have been
> > used or not used
>
> May be the Google or Yahoo people can give us statistics at
> least on the use of language tags in public HTML pages? They
> probably have it somewhere.
>
> X % of HTML pages have a lang or xml:lang attribute X % of
> the tags have only one subtag, the language X % of the tags
> are well-formed X % of the tags are valid Complete list of
> language subtags seen in the wild etc...
>
>
>
>

---

From: 'Stephane Bortzmeyer' <[email-masked]>
Date: Mon, 5 May 2008 22:17:25 +0200

On Mon, May 05, 2008 at 05:36:06PM +0100,
 Debbie Garside <[email-masked]> wrote 
 a message of 46 lines which said:

> I am sure this would be interesting but the thing is RFC 4646 is not
> just used on the web.

I hope so, otherwise most of the work done here would be wasted,
giving the current state of language tagging on the public Web :-(

> The last time I looked the TEI were using it and I think quite a lot
> of archiving systems will be using it.

Yes, but the public Web is searchable and is already crawled by
powerful robots so we have the possibility of gathering data.

If you know other places where language tagging is used, statistics
are welcome.
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 5 May 2008 13:25:11 -0700

I have some of the figures you are looking for in a presentation on my
website (macchiato.com) under 'Unicode at Google'. Not completely what you
want, and slightly outdated, but it may help (I'll probably be updating it
for the September Unicode conference).

Debbie said later "...the thing is RFC 4646 is not just used on the web".
That is certainly true. It is used on the web,  in non-web-related
applications, and in internal systems.

[On the web side: As a simple example of usage, look at IE7 where you pick
your language; you'll find az, bs, sr, and uz all with script
qualifications. These feed into Accept-Language, which is a fundamental
protocol on the web. And we see also web pages tagged with RFC 4646. Now,
whether or not sites use that Accept-Language, or use it properly, is a
different question; a lot of these kinds of infrastructure updates take
time.]

Mark

-- 
Mark

---

From: Peter Constable <[email-masked]>
Date: Mon, 5 May 2008 18:20:21 -0700

Sorry, I don't think it would be a good idea to say on the basis of Google or Yahoo (or MSN) statistics whether we think FX (or whatever) has or hasn't been used.

(Note: the JAC decision regarding [kha] and [lyg] was not analogous: there were particular sociolinguistic reasons that contributed to assuming that [kha] has not been used for Lyngngam.)

Peter

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Stephane Bortzmeyer
> Sent: Monday, May 05, 2008 8:26 AM
> To: Debbie Garside
> Cc: 'LTRU Working Group'
> Subject: [Ltru] Knowing about the use of language tags (Was: Questions
> before submitting draft-4645bis-05
>

---

From: Peter Constable <[email-masked]>
Date: Mon, 5 May 2008 18:20:55 -0700

+1

> Debbie Garside
> Sent: Monday, May 05, 2008 9:36 AM
> To: 'Stephane Bortzmeyer'
> Cc: 'LTRU Working Group'
> Subject: Re: [Ltru] Knowing about the use of language tags (Was:
> just

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 5 May 2008 18:44:43 -0700

I agree. I think we should just add it.

---

From: John Cowan <[email-masked]>
Date: Mon, 5 May 2008 21:57:54 -0400

Mark Davis scripsit:

> I agree. I think we should just add [FX].

It was at one time an assigned ISO 3166 code and was downgraded to
exceptionally reserved before Date A.  That's evidence that the MA didn't
think assigning it was a good idea.  Why should we overrule that?

-- 
John Cowan        http://www.ccil.org/~cowan          [email-masked]
Please leave your values                Check your assumptions.  In fact,
   at the front desk.                      check your assumptions at the door.
     --sign in Paris hotel                   --Cordelia Vorkosigan
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 5 May 2008 20:02:04 -0700

Sorry, misspoke. It is in and deprecated; it's fine like that.

http://www.iana.org/assignments/language-subtag-registry

%%
Type: region
Subtag: FX

---

From: <[email-masked]>
Date: Tue, 6 May 2008 15:20:33 -0700

To Debbie's point, Googling won't find evidence of any tags used in studio 
archives, Digital Cinema Packages, Electronic Program Guides, Timed Text 
for D-Cinema, etc. In fact, Googling isn't likely to find many tagged 
audio resources at all.  - K.

just